package com.incubator.game.data.po;

import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-09 13:32
 */
public class ZjClubPo extends ZjUserPo{
    /**
     * 主键id
     */
    private String clubId;

    /**
     * 俱乐部名称
     */
    private String clubName;

    /**
     * 俱乐部宣传图
     */
    private String clubImg;

    /**
     * 俱乐部人数
     */
    private Integer clubMemberNum;

    /**
     * 俱乐部描述
     */
    private String clubDescription;

    /**
     * 俱乐部掌门人
     */
    private String clubCreator;

    /**
     * 俱乐部状态 0 删除  1 正常 2 封禁
     */
    private String clubStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 俱乐部地域
     */
    private String clubAddress;

    /**
     * 俱乐部联赛冠军club_championship
     */
    private Integer clubChampionship;

    /**
     * 俱乐部等级
     */
    private Integer clubLevel;

    /**
     * 上线人数
     */
    private Integer onlineCount;

    /**
     * 是否为主俱乐部
     */
    private String isMain;

    /**
     * 是否为好友
     */
    private String isFriend;

    /**
     * 是否为掌门人
     */
    private String isMaster;

    /**
     * 近7日大师分
     */
    private String sevenDayMasterScore;

    /**
     * 俱乐部成员状态
     */
    private String memberStatus;

    /**
     * 加入时间
     */
    private Date joinTime;

    /**
     * 退出时间
     */
    private Date quitTime;

    /**
     * 申请理由
     */
    private String requestExplain;

    /**
     * 申请渠道
     */
    private String requestChannel;

    public String getMemberStatus() {
        return memberStatus;
    }

    public void setMemberStatus(String memberStatus) {
        this.memberStatus = memberStatus;
    }

    public Date getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Date joinTime) {
        this.joinTime = joinTime;
    }

    public Date getQuitTime() {
        return quitTime;
    }

    public void setQuitTime(Date quitTime) {
        this.quitTime = quitTime;
    }

    public String getRequestExplain() {
        return requestExplain;
    }

    public void setRequestExplain(String requestExplain) {
        this.requestExplain = requestExplain;
    }

    public String getRequestChannel() {
        return requestChannel;
    }

    public void setRequestChannel(String requestChannel) {
        this.requestChannel = requestChannel;
    }

    public String getClubId() {
        return clubId;
    }

    public void setClubId(String clubId) {
        this.clubId = clubId;
    }

    public String getClubName() {
        return clubName;
    }

    public void setClubName(String clubName) {
        this.clubName = clubName;
    }

    public String getClubImg() {
        return clubImg;
    }

    public void setClubImg(String clubImg) {
        this.clubImg = clubImg;
    }

    public Integer getClubMemberNum() {
        return clubMemberNum;
    }

    public void setClubMemberNum(Integer clubMemberNum) {
        this.clubMemberNum = clubMemberNum;
    }

    public String getClubDescription() {
        return clubDescription;
    }

    public void setClubDescription(String clubDescription) {
        this.clubDescription = clubDescription;
    }

    public String getClubCreator() {
        return clubCreator;
    }

    public void setClubCreator(String clubCreator) {
        this.clubCreator = clubCreator;
    }

    public String getClubStatus() {
        return clubStatus;
    }

    public void setClubStatus(String clubStatus) {
        this.clubStatus = clubStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getClubAddress() {
        return clubAddress;
    }

    public void setClubAddress(String clubAddress) {
        this.clubAddress = clubAddress;
    }

    public Integer getClubChampionship() {
        return clubChampionship;
    }

    public void setClubChampionship(Integer clubChampionship) {
        this.clubChampionship = clubChampionship;
    }

    public Integer getClubLevel() {
        return clubLevel;
    }

    public void setClubLevel(Integer clubLevel) {
        this.clubLevel = clubLevel;
    }

    public Integer getOnlineCount() {
        return onlineCount;
    }

    public void setOnlineCount(Integer onlineCount) {
        this.onlineCount = onlineCount;
    }

    public String getIsMain() {
        return isMain;
    }

    public void setIsMain(String isMain) {
        this.isMain = isMain;
    }

    public String getIsFriend() {
        return isFriend;
    }

    public void setIsFriend(String isFriend) {
        this.isFriend = isFriend;
    }

    public String getIsMaster() {
        return isMaster;
    }

    public void setIsMaster(String isMaster) {
        this.isMaster = isMaster;
    }

    public String getSevenDayMasterScore() {
        return sevenDayMasterScore;
    }

    public void setSevenDayMasterScore(String sevenDayMasterScore) {
        this.sevenDayMasterScore = sevenDayMasterScore;
    }
}
