package com.incubator.game.data.po;

import java.math.BigDecimal;
import java.util.Date;

/**
 * Author:  xhb
 * Date:  2024-12-09 14:07
 */
public class ZjProductPo {

    /**
     * 主键id
     */
    private String productId;

    /**
     * 商品编号
     */
    private String productNo;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品图片
     */
    private String productImg;

    /**
     * 商品描述
     */
    private String productDescription;

    /**
     * 商品类型关联类型表id
     */
    private String productType;

    /**
     * 商品单价
     */
    private BigDecimal productPrice;

    /**
     * 商品状态 Y:N:D
     */
    private String productStatus;

    /**
     * 商品数量
     */
    private Integer productCount;

    /**
     * 商品交易数量
     */
    private Integer productTrade;

    /**
     * 兑换开始时间
     */
    private Date productBeginTime;

    /**
     * 兑换结束时间
     */
    private Date productEndTime;

    /**
     * 兑换列表
     */
    private String productList;

    /**
     * 商品单位(1人民币 2钻石 3福卡)
     */
    private String productUnit;
    /**
     * 商品对应的物品id
     */
    private String productGoods;

    /**
     * 限购
     */
    private String purchaseLimitation;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建人
     */
    private Integer createPeople;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 修改人
     */
    private Integer updatePeople;
}
